/*
    WaveCtrlCmd.h - set current wave and selectoin for 'play'

    Will 18, 2001: will@opaline.demon.co.uk
*/

#ifndef WAVECTRLCMD_H
#define WAVECTRLCMD_H

#include "NoUndoCmd.h"
#include <Xm/Xm.h>


class DWaveCmd;
class MixwaveUtils;

class WaveCtrlCmd : public NoUndoCmd
{
	public:
		WaveCtrlCmd ( const char *, int active );
		~WaveCtrlCmd();
		virtual const char *const className() { return ( "WaveCtrlCmd" ); }
		
	protected:
		void doCommand();		// called by base class

	private:
		static void dWaveSelectionCallback ( void *, unsigned int, char * );
		void waveSelection ( char * );

		char _name[128];
		unsigned _arrayItems;	// num items on menu
		DWaveCmd *_dWave;
		MixwaveUtils *_utils;
};

#endif
